<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:questions="http://typo3.org/ns/CodingMs/Questions/ViewHelpers"
	  data-namespace-typo3-fluid="true" lang="en">
<f:layout name="Default" />
<f:section name="Default">

	<div itemprop="mainEntity" itemscope itemtype="http://schema.org/Question">
		<h1 itemprop="name">{question.question}</h1>
		<f:if condition="{question.markdown}">
			<f:then>
				<questions:extension.loaded extensionName="ParsedownExtra">
					<f:then>
						<div class="question-answer tx-parsedown-extra"
							 itemprop="acceptedAnswer"
							 itemscope
							 itemtype="http://schema.org/Answer">
							<div itemprop="text">
								<f:format.raw><questions:parsedown.markdown markdown="{question.markdown}" /></f:format.raw>
							</div>
						</div>
					</f:then>
					<f:else>
						<div class="alert alert-danger">EXT:parsedown_extra required!</div>
					</f:else>
				</questions:extension.loaded>
			</f:then>
			<f:else>
				<div class="question-answer"
					 itemprop="acceptedAnswer"
					 itemscope
					 itemtype="http://schema.org/Answer">
					<div itemprop="text">
						<f:format.html>{question.answer}</f:format.html>
					</div>
				</div>
			</f:else>
		</f:if>
	</div>

</f:section>
</html>
